Index: /issm/trunk-jpl/externalpackages/gmt/configs/6/static/mac/patches/src/common_sighandler.c.patch
===================================================================
--- /issm/trunk-jpl/externalpackages/gmt/configs/6/static/mac/patches/src/common_sighandler.c.patch	(revision 28116)
+++ /issm/trunk-jpl/externalpackages/gmt/configs/6/static/mac/patches/src/common_sighandler.c.patch	(revision 28116)
@@ -0,0 +1,11 @@
+--- ./src/src/common_sighandler.c	2019-10-30 20:22:02
++++ ./common_sighandler.c	2024-02-29 15:26:16
+@@ -58,7 +58,7 @@
+ #  ifdef __x86_64__
+ #   define UC_IP(uc) ((void *) (uc)->uc_mcontext->__ss.__rip)
+ #  else
+-#   define UC_IP(uc) ((void *) (uc)->uc_mcontext->__ss.__eip)
++#   define UC_IP(uc) ((void *) (uc)->uc_mcontext->__ss.__pc)
+ #  endif
+ # else
+ #  define UC_IP(uc) ((void *) (uc)->uc_mcontext->ss.eip)
Index: /issm/trunk-jpl/externalpackages/gmt/install-6-mac-intel-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gmt/install-6-mac-intel-static.sh	(revision 28116)
+++ /issm/trunk-jpl/externalpackages/gmt/install-6-mac-intel-static.sh	(revision 28116)
@@ -0,0 +1,80 @@
+#!/bin/bash
+set -eu
+
+
+## Constants
+#
+VER="6.0.0"
+
+# Find libgfortran and libgcc so we do not have to hardcode them
+#
+# TODO:
+# - Move this to etc/environment.sh
+# - Test if -static-libgfortran flag will avoid all of this.
+# - Otherwise, refactor this to work with other gfortran installations.
+#
+echo "Finding libgfortran..."
+LIBGFORTRAN=$(find /usr /opt -name libgfortran* 2>/dev/null | egrep -n libgfortran.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
+LIBGFORTRAN_ROOT=${LIBGFORTRAN%/*}
+LIBGCC=$(find ${LIBGFORTRAN_ROOT} -name libgcc* 2>/dev/null | egrep -n libgcc.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
+
+GDAL_EXTRA_LIBS="-lc++" # `$GDAL_ROOT/bin/gdal-config --dep-libs` does not report need to link to libc++ (see also customized configuration file ./configs/6/static/cmake/modules/FindGDAL.cmake)
+NETCDF_EXTRA_LIBS="-lpthread -ldl -liconv" # `$NETCDF_ROOT/bin/nc-config --libs` does not report certain dependencies of certain static libraries (see also customized configuration file ./configs/6/static/cmake/modules/FindNETCDF.cmake)
+
+# Environment
+#
+export CC=mpicc
+export CURL_INCLUDE_DIRS="${CURL_ROOT}/include"
+export CURL_LIBRARIES="${CURL_ROOT}/lib/libcurl.a;${ZLIB_ROOT}/lib/libz.a"
+export LDFLAGS="-lsqlite3 -framework CoreFoundation -framework Security"
+export PREFIX="${ISSM_DIR}/externalpackages/gmt/install" # NOTE: Need to export this to be picked up by customized ConfigUser.cmake (see below). Set to location where external package should be installed.
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/gmt-${VER}.tar.gz" "gmt-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf gmt-${VER}.tar.gz
+
+# Cleanup
+rm -rf ${PREFIX} src
+mkdir -p ${PREFIX} src
+
+# Move source to 'src' directory
+mv gmt-${VER}/* src
+rm -rf gmt-${VER}
+
+# Copy custom configuration files
+cp ./configs/6/static/mac/cmake/ConfigUser.static.cmake ./src/cmake/ConfigUser.cmake
+cp ./configs/6/static/cmake/modules/FindGDAL.cmake ./src/cmake/modules
+cp ./configs/6/static/cmake/modules/FindGSHHG.cmake ./src/cmake/modules
+cp ./configs/6/static/cmake/modules/FindNETCDF.cmake ./src/cmake/modules
+
+# Configure
+cd src
+mkdir build
+cd build
+
+# NOTE:
+# - The CMake modules used to find and probe the BLAS and LAPACK libraries do
+#	not seem to handle the situation where BLAS_LIBRARY and LAPACK_LIBRARY are
+#	set but we are working with static libraries
+#	(see customized ConfigUser.static.cmake). Using BLAS_LIBRARIES and
+#	LAPACK_LIBRARIES is a workaround.
+#
+cmake \
+	-DBLAS_LIBRARIES="${BLAS_ROOT}/lib/libfblas.a;${LIBGFORTRAN_ROOT}/libgfortran.a;${LIBGFORTRAN_ROOT}/libquadmath.a;${LIBGCC}" \
+	-DCURL_INCLUDE_DIR="${CURL_ROOT}/include" \
+	-DCURL_LIBRARY="${CURL_ROOT}/lib/libcurl.a" \
+	-DGDAL_EXTRA_LIBS="${GDAL_EXTRA_LIBS}" \
+	-DLAPACK_LIBRARIES="${LAPACK_ROOT}/lib/libflapack.a;${LIBGFORTRAN_ROOT}/libgfortran.a;${LIBGFORTRAN_ROOT}/libquadmath.a;${LIBGCC}" \
+	-DNETCDF_EXTRA_LIBS="${NETCDF_EXTRA_LIBS}" \
+	..
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
Index: /issm/trunk-jpl/externalpackages/gmt/install-6-mac-silicon-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gmt/install-6-mac-silicon-static.sh	(revision 28116)
+++ /issm/trunk-jpl/externalpackages/gmt/install-6-mac-silicon-static.sh	(revision 28116)
@@ -0,0 +1,84 @@
+#!/bin/bash
+set -eu
+
+
+## Constants
+#
+VER="6.0.0"
+
+# Find libgfortran and libgcc so we do not have to hardcode them
+#
+# TODO:
+# - Move this to etc/environment.sh
+# - Test if -static-libgfortran flag will avoid all of this.
+# - Otherwise, refactor this to work with other gfortran installations.
+#
+echo "Finding libgfortran..."
+LIBGFORTRAN=$(find /usr /opt -name libgfortran* 2>/dev/null | egrep -n libgfortran.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
+LIBGFORTRAN_ROOT=${LIBGFORTRAN%/*}
+LIBGCC=$(find ${LIBGFORTRAN_ROOT} -name libgcc* 2>/dev/null | egrep -n libgcc.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
+
+GDAL_EXTRA_LIBS="-lc++" # `$GDAL_ROOT/bin/gdal-config --dep-libs` does not report need to link to libc++ (see also customized configuration file ./configs/6/static/cmake/modules/FindGDAL.cmake)
+NETCDF_EXTRA_LIBS="-lpthread -ldl -liconv" # `$NETCDF_ROOT/bin/nc-config --libs` does not report certain dependencies of certain static libraries (see also customized configuration file ./configs/6/static/cmake/modules/FindNETCDF.cmake)
+
+# Environment
+#
+export CC=mpicc
+export CURL_INCLUDE_DIRS="${CURL_ROOT}/include"
+export CURL_LIBRARIES="${CURL_ROOT}/lib/libcurl.a;${ZLIB_ROOT}/lib/libz.a"
+export LDFLAGS="-lsqlite3 -framework CoreFoundation -framework Security"
+export PREFIX="${ISSM_DIR}/externalpackages/gmt/install" # NOTE: Need to export this to be picked up by customized ConfigUser.cmake (see below). Set to location where external package should be installed.
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/gmt-${VER}.tar.gz" "gmt-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf gmt-${VER}.tar.gz
+
+# Cleanup
+rm -rf ${PREFIX} src
+mkdir -p ${PREFIX} src
+
+# Move source to 'src' directory
+mv gmt-${VER}/* src
+rm -rf gmt-${VER}
+
+# Copy custom configuration files
+cp ./configs/6/static/mac/cmake/ConfigUser.static.cmake ./src/cmake/ConfigUser.cmake
+cp ./configs/6/static/cmake/modules/FindGDAL.cmake ./src/cmake/modules
+cp ./configs/6/static/cmake/modules/FindGSHHG.cmake ./src/cmake/modules
+cp ./configs/6/static/cmake/modules/FindNETCDF.cmake ./src/cmake/modules
+
+# Apply patches
+patch ./src/src/common_sighandler.c ./configs/6/static/mac/patches/src/common_sighandler.c.patch
+
+
+# Configure
+cd src
+mkdir build
+cd build
+
+# NOTE:
+# - The CMake modules used to find and probe the BLAS and LAPACK libraries do
+#	not seem to handle the situation where BLAS_LIBRARY and LAPACK_LIBRARY are
+#	set but we are working with static libraries
+#	(see customized ConfigUser.static.cmake). Using BLAS_LIBRARIES and
+#	LAPACK_LIBRARIES is a workaround.
+#
+cmake \
+	-DBLAS_LIBRARIES="${BLAS_ROOT}/lib/libfblas.a;${LIBGFORTRAN_ROOT}/libgfortran.a;${LIBGFORTRAN_ROOT}/libquadmath.a;${LIBGCC}" \
+	-DCURL_INCLUDE_DIR="${CURL_ROOT}/include" \
+	-DCURL_LIBRARY="${CURL_ROOT}/lib/libcurl.a" \
+	-DGDAL_EXTRA_LIBS="${GDAL_EXTRA_LIBS}" \
+	-DLAPACK_LIBRARIES="${LAPACK_ROOT}/lib/libflapack.a;${LIBGFORTRAN_ROOT}/libgfortran.a;${LIBGFORTRAN_ROOT}/libquadmath.a;${LIBGCC}" \
+	-DNETCDF_EXTRA_LIBS="${NETCDF_EXTRA_LIBS}" \
+	..
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
Index: sm/trunk-jpl/externalpackages/gmt/install-6-mac-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gmt/install-6-mac-static.sh	(revision 28115)
+++ 	(revision )
@@ -1,80 +1,0 @@
-#!/bin/bash
-set -eu
-
-
-## Constants
-#
-VER="6.0.0"
-
-# Find libgfortran and libgcc so we do not have to hardcode them
-#
-# TODO:
-# - Move this to etc/environment.sh
-# - Test if -static-libgfortran flag will avoid all of this.
-# - Otherwise, refactor this to work with other gfortran installations.
-#
-echo "Finding libgfortran..."
-LIBGFORTRAN=$(find /usr /opt -name libgfortran* 2>/dev/null | egrep -n libgfortran.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
-LIBGFORTRAN_ROOT=${LIBGFORTRAN%/*}
-LIBGCC=$(find ${LIBGFORTRAN_ROOT} -name libgcc* 2>/dev/null | egrep -n libgcc.a | egrep -v i386 | sed "s/[0-9]*://g" | head -1)
-
-GDAL_EXTRA_LIBS="-lc++" # `$GDAL_ROOT/bin/gdal-config --dep-libs` does not report need to link to libc++ (see also customized configuration file ./configs/6/static/cmake/modules/FindGDAL.cmake)
-NETCDF_EXTRA_LIBS="-lpthread -ldl -liconv" # `$NETCDF_ROOT/bin/nc-config --libs` does not report certain dependencies of certain static libraries (see also customized configuration file ./configs/6/static/cmake/modules/FindNETCDF.cmake)
-
-# Environment
-#
-export CC=mpicc
-export CURL_INCLUDE_DIRS="${CURL_ROOT}/include"
-export CURL_LIBRARIES="${CURL_ROOT}/lib/libcurl.a;${ZLIB_ROOT}/lib/libz.a"
-export LDFLAGS="-lsqlite3 -framework CoreFoundation -framework Security"
-export PREFIX="${ISSM_DIR}/externalpackages/gmt/install" # NOTE: Need to export this to be picked up by customized ConfigUser.cmake (see below). Set to location where external package should be installed.
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/gmt-${VER}.tar.gz" "gmt-${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf gmt-${VER}.tar.gz
-
-# Cleanup
-rm -rf ${PREFIX} src
-mkdir -p ${PREFIX} src
-
-# Move source to 'src' directory
-mv gmt-${VER}/* src
-rm -rf gmt-${VER}
-
-# Copy custom configuration files
-cp ./configs/6/static/mac/cmake/ConfigUser.static.cmake ./src/cmake/ConfigUser.cmake
-cp ./configs/6/static/cmake/modules/FindGDAL.cmake ./src/cmake/modules
-cp ./configs/6/static/cmake/modules/FindGSHHG.cmake ./src/cmake/modules
-cp ./configs/6/static/cmake/modules/FindNETCDF.cmake ./src/cmake/modules
-
-# Configure
-cd src
-mkdir build
-cd build
-
-# NOTE:
-# - The CMake modules used to find and probe the BLAS and LAPACK libraries do
-#	not seem to handle the situation where BLAS_LIBRARY and LAPACK_LIBRARY are
-#	set but we are working with static libraries
-#	(see customized ConfigUser.static.cmake). Using BLAS_LIBRARIES and
-#	LAPACK_LIBRARIES is a workaround.
-#
-cmake \
-	-DBLAS_LIBRARIES="${BLAS_ROOT}/lib/libfblas.a;${LIBGFORTRAN_ROOT}/libgfortran.a;${LIBGFORTRAN_ROOT}/libquadmath.a;${LIBGCC}" \
-	-DCURL_INCLUDE_DIR="${CURL_ROOT}/include" \
-	-DCURL_LIBRARY="${CURL_ROOT}/lib/libcurl.a" \
-	-DGDAL_EXTRA_LIBS="${GDAL_EXTRA_LIBS}" \
-	-DLAPACK_LIBRARIES="${LAPACK_ROOT}/lib/libflapack.a;${LIBGFORTRAN_ROOT}/libgfortran.a;${LIBGFORTRAN_ROOT}/libquadmath.a;${LIBGCC}" \
-	-DNETCDF_EXTRA_LIBS="${NETCDF_EXTRA_LIBS}" \
-	..
-
-# Compile and install
-if [ $# -eq 0 ]; then
-	make
-	make install
-else
-	make -j $1
-	make -j $1 install
-fi
Index: /issm/trunk-jpl/jenkins/mac-intel-binaries-matlab
===================================================================
--- /issm/trunk-jpl/jenkins/mac-intel-binaries-matlab	(revision 28115)
+++ /issm/trunk-jpl/jenkins/mac-intel-binaries-matlab	(revision 28116)
@@ -58,5 +58,5 @@
 	gdal		install-3-static.sh
 	gshhg		install.sh
-	gmt			install-6-mac-static.sh
+	gmt			install-6-mac-intel-static.sh
 	gmsh		install-4-mac-static.sh
 	triangle	install-mac-static.sh
Index: /issm/trunk-jpl/jenkins/mac-intel-binaries-python-3
===================================================================
--- /issm/trunk-jpl/jenkins/mac-intel-binaries-python-3	(revision 28115)
+++ /issm/trunk-jpl/jenkins/mac-intel-binaries-python-3	(revision 28116)
@@ -58,5 +58,5 @@
 	gdal		install-3-python-static.sh
 	gshhg		install.sh
-	gmt			install-6-mac-static.sh
+	gmt			install-6-mac-intel-static.sh
 	gmsh		install-4-mac-static.sh
 	triangle	install-mac-static.sh
Index: /issm/trunk-jpl/jenkins/mac-silicon-binaries-matlab
===================================================================
--- /issm/trunk-jpl/jenkins/mac-silicon-binaries-matlab	(revision 28115)
+++ /issm/trunk-jpl/jenkins/mac-silicon-binaries-matlab	(revision 28116)
@@ -61,5 +61,5 @@
 	gdal		install-3-static.sh
 	gshhg		install.sh
-	gmt			install-6-mac-static.sh
+	gmt			install-6-mac-silicon-static.sh
 	gmsh		install-4-mac-static.sh
 	triangle	install-mac-static.sh
Index: /issm/trunk-jpl/jenkins/mac-silicon-binaries-python-3
===================================================================
--- /issm/trunk-jpl/jenkins/mac-silicon-binaries-python-3	(revision 28115)
+++ /issm/trunk-jpl/jenkins/mac-silicon-binaries-python-3	(revision 28116)
@@ -59,5 +59,5 @@
 	gdal		install-3-python-static.sh
 	gshhg		install.sh
-	gmt			install-6-mac-static.sh
+	gmt			install-6-mac-silicon-static.sh
 	gmsh		install-4-mac-static.sh
 	triangle	install-mac-static.sh
